GET /settings/transaction-types
GET/settings/transaction-types
GET /settings/transaction-types
Request
Query Parameters
type string[]
from int32
take int32
search string
sort string[]
Responses
- 200
OK
- text/plain
- application/json
- text/json
- Schema
- Example (from schema)
Schema
Array [
]
total int64nullable
from int64nullable
take int64nullable
entities
object[]
nullable
id int32
type stringrequired
Possible values: non-empty
currency stringnullable
code stringnullable
name stringrequired
Possible values: non-empty
rec_no_mode stringnullable
gl_account_id int64nullable
counter_id int32nullable
secondary_counter_id int32nullable
associated_payment_cards string[]nullable
aggregations undefined[]nullable
{
"total": 0,
"from": 0,
"take": 0,
"entities": [
{
"id": 0,
"type": "string",
"currency": "string",
"code": "string",
"name": "string",
"rec_no_mode": "string",
"gl_account_id": 0,
"counter_id": 0,
"secondary_counter_id": 0,
"associated_payment_cards": [
"string"
]
}
],
"aggregations": [
null
]
}
- Schema
- Example (from schema)
Schema
Array [
]
total int64nullable
from int64nullable
take int64nullable
entities
object[]
nullable
id int32
type stringrequired
Possible values: non-empty
currency stringnullable
code stringnullable
name stringrequired
Possible values: non-empty
rec_no_mode stringnullable
gl_account_id int64nullable
counter_id int32nullable
secondary_counter_id int32nullable
associated_payment_cards string[]nullable
aggregations undefined[]nullable
{
"total": 0,
"from": 0,
"take": 0,
"entities": [
{
"id": 0,
"type": "string",
"currency": "string",
"code": "string",
"name": "string",
"rec_no_mode": "string",
"gl_account_id": 0,
"counter_id": 0,
"secondary_counter_id": 0,
"associated_payment_cards": [
"string"
]
}
],
"aggregations": [
null
]
}
- Schema
- Example (from schema)
Schema
Array [
]
total int64nullable
from int64nullable
take int64nullable
entities
object[]
nullable
id int32
type stringrequired
Possible values: non-empty
currency stringnullable
code stringnullable
name stringrequired
Possible values: non-empty
rec_no_mode stringnullable
gl_account_id int64nullable
counter_id int32nullable
secondary_counter_id int32nullable
associated_payment_cards string[]nullable
aggregations undefined[]nullable
{
"total": 0,
"from": 0,
"take": 0,
"entities": [
{
"id": 0,
"type": "string",
"currency": "string",
"code": "string",
"name": "string",
"rec_no_mode": "string",
"gl_account_id": 0,
"counter_id": 0,
"secondary_counter_id": 0,
"associated_payment_cards": [
"string"
]
}
],
"aggregations": [
null
]
}
Loading...